## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name restfly

Name:           python-%{pypi_name}
Version:        1.4.6
Release:        %autorelease
Summary:        Library to make API wrappers creation easier

License:        MIT4
URL:            https://github.com/stevemcgrath/restfly
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
RESTfly is a framework for building libraries to easily interact with RESTful
APIs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  %py3_dist setuptools
BuildRequires:  %py3_dist requests
BuildRequires:  %py3_dist responses
BuildRequires:  %py3_dist pytest
BuildRequires:  %py3_dist pytest-cov
BuildRequires:  %py3_dist pytest-vcr
BuildRequires:  %py3_dist pytest-datafiles
BuildRequires:  %py3_dist python-box
BuildRequires:  %py3_dist arrow
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
RESTfly is a framework for building libraries to easily interact with RESTful
APIs.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests -k "not test_session_ssl_error"

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info/

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> - 1.4.6-2
- Rebuilt for Python 3.11

* Fri Apr 01 2022 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.6-1
- Update to latest upstream release 1.4.6 (closes rhbz#2070243)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.5-1
- Update to latest upstream release 1.4.5 (closes rhbz#2039979)

* Sun Nov 07 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.4-1
- Update to latest upstream release 1.4.4 (closes rhbz#2016690)

* Sun Nov 07 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.3-1
- Update to latest upstream release 1.4.3 (closes rhbz#2016690)

* Wed Oct 13 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.2-1
- Update to latest upstream release 1.4.2 (closes rhbz#2009491)

* Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.1-1
- * Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.1-1 -
  Update to latest upstream release 1.4.1 (rhbz#1960363)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.3.5-5
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Dec 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.5-3
- * Wed Dec 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.5-2 -
  Update macros

* Wed Dec 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.5-2
- * Wed Dec 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.5-2 -
  Update macros

* Sun Aug 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.5-1
- * Sun Aug 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.5-1 -
  Update to new upstream release 1.3.5 (rhbz#1858206)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.4-2
- Add new BR

* Fri Jul 17 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.4-1
- * Fri Jul 17 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.4-1 -
  Update to new upstream release 1.3.4 (rhbz#1858206)

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.1.1-2
- Rebuilt for Python 3.9

* Tue Mar 24 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-1
- * Thu Mar 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-1 -
  Initial package for Fedora
